// dinniz1.h - Deklaracije paketa za rad sa
//             dinamickim nizovima pravougaonika u ravni.

#include "pravoug1.h"
#include <iostream>
using namespace std;

namespace Geometr {
  struct DNPrav { int n; Pravoug* a; };

  inline void pravi (DNPrav& niz) { niz.n = 0; niz.a = 0; }

  void citaj (DNPrav& niz);

  void pisi (const DNPrav& niz);

  void brisi (DNPrav& niz);

  void kopiraj (DNPrav& niz1, const DNPrav& niz2);

  void uredi (DNPrav& niz);
}
