// ekspon.h - Klasa eksponencijalnih funkcija.

#ifndef _ekspon_h_
#define _ekspon_h_

#include "fun3.h"
#include <cmath>
using namespace std;

namespace Izvodi {
  class Ekspon: public Fun {
    double a, b;
    void pisi (ostream& d) const           // Pisanje.
      { d << a << "*exp(" << b << "*x)"; }
  public:
    Ekspon (double aa=1, double bb=1)      // Inicijalizacija.
      { a = aa; b = bb; }
    double operator() (double x) const     // Racunanje vrednosti.
      { return a * exp (b*x); }
    PFun operator! () const                // Stvaranje izvoda.
      { return PFun (new Ekspon (a*b, b)); }
    Ekspon* kopija () const                // Stvaranje dinamicke kopije.
      { return new Ekspon (*this); }
  }; // class Ekspon
} // namespace Izvodi

#endif
