// red1.h - Deklaracija paketa za rad sa redovima celih brojeva.

struct Elem { int broj; Elem* sled; };
struct Red { Elem *prvi, *posl; };

inline Red pravi () { Red r; r.prvi = r.posl = 0; return r; }
inline bool prazan (const Red& r) { return r.prvi == 0; }
void dodaj (Red& r, int b);
int uzmi (Red& r);
int duz (const Red& r);
void pisi (const Red& r);
void brisi (Red& r);
