// sfera3.h - Klasa sfera.

#ifndef _sfera_h_
#define _sfera_h_

#include "telo.h"

namespace Predmeti {
  class Sfera: public Telo {
    double r;                                    // Poluprecnik.
  public:
    Sfera (double rr=1, double ss=1)             // Stvaranje.
      : Telo (ss) { r = rr; }
    Sfera* kopija () const                       // Dinamicka kopija.
      { return new Sfera (*this); }
    double V () const                            // Zapremina.
      { return 3 * r * r * r * 3.14159 / 4; }
  private:
    void pisi (ostream& d) const                 // Pisanje.
      { Telo::pisi (d); d << r << ')'; }
  }; // class Sfera
} // namespace Predmeti

#endif