// stek2.h - Klasa stekova tacaka pomocu klase vector<>.

#ifndef _stek2_h_
#define _stek2_h_

#include "tacka3.h"
#include "greska.h"
#include <vector>
#include <iostream>
using namespace std;

class Stek2 {
  vector<Tacka> niz;                            // Sadrzaj steka.
public:
  void stavi (const Tacka& t)                   // Stavljanje na vrh.
    { niz.push_back (t); }
  Tacka uzmi () {                               // Uzimanje sa vrha.
    if (prazan ()) throw Usluge::Greska ("Stek je prazan!");
    Tacka t = niz.back ();
    niz.pop_back ();
    return t;
  }
  unsigned vel () const { return niz.size (); } // Broj elemenata na steku.
  bool prazan () const { return vel () == 0; }  // Da li je prazan?
  void prazni () { niz.clear (); }              // Praznjenje.
  friend ostream& operator<< (ostream& d, const Stek2& s); // Pisanje.
};

ostream& operator<< (ostream& d, const Stek2& s) {         // Pisanje.
  for (unsigned i=s.vel(); i>0; d<<s.niz[--i]<<' ');
  return d;
}

#endif