// celi.h - Klasa celih brojeva.

#ifndef _celi_h_
#define _celi_h_

#include "predmet2.h"

namespace Zbirke {
  class Celi: public Predmet {
    int vr;                                        // Vrednost broja.
    void pisi (ostream& d) const { d << vr; }      // Pisanje.
  public:
    Celi (int v=0) { vr = v; }                     // Konstruktor.
    int operator+ () const { return vr; }          // Dohvatanje vrednosti.
    Celi* kopija () const { return new Celi (*this); } // Dinamicka kopija.
  };
} // namespace

#endif
