// figura2.h - Klasa apstraktnih figura u prostoru.

#ifndef _figura2_h_
#define _figura2_h_

#include "vektor3.h"
#include <iostream>
using namespace std;

class Figura {
public:
  ~Figura () {}                                    // Virt. destruktor.
  virtual Figura* kopija () const =0;              // Dinamicka kopija.
  virtual Figura& operator+= (const Vektor& v) =0; // Pomeranje figure.
  virtual Vektor  operator! () const =0;           // Teziste figure.
private:
  virtual void pisi (ostream& d) const =0;         // Pisanje.
  friend ostream& operator<< (ostream& d, const Figura& f)
    { f.pisi (d); return d; }
};

#endif