// kvadrat.h - Klasa kvadrata u ravni.

#ifndef _kvadrat_h_
#define _kvadrat_h_

#include "figura1.h"

class Kvadrat: public Figura {
  Real a;                                  // Stranica.
public:
  Kvadrat (Real aa=1, const Tacka& tt=ORG) // Konstruktor.
    : Figura(tt) { a = aa; }
  Real O () const { return 4 * a; }        // Obim.
  Real P () const { return a * a; }        // Povrsina.
  Kvadrat* kopija () const                 // Stvaranje kopije.
    { return new Kvadrat (*this); }
private:
  void citaj (istream& d)                  // Citanje.
   { Figura::citaj (d); d >> a ; }
  void pisi  (ostream& d) const {          // Pisanje.
    d << "kvadrat ["; Figura::pisi (d);
    d << ", a=" << a << ", O=" << O () << ", P=" << P () << ']';
  }
};

#endif
