// podatak.h - Klasa apstraktnih podataka.

#ifndef _podatak_h_
#define _podatak_h_

#include <iostream>
using namespace std;

class Podatak {
public:
  virtual ~Podatak () {}                        // Virtuelni destruktor.
  virtual Podatak* kopija () const = 0;         // Dinamicka kopija.
private:
  virtual void pisi  (ostream& dd) const = 0;   // Pisanje.
  friend ostream& operator<< (ostream& dd, const Podatak& pp)
    { pp.pisi (dd); return dd; }
};

#endif
