// student.h - Definicija klase studenata.

class Student {
  char* ime;           // Ime studenta.
  long  ind;           // Broj indeksa (ggggrrrr).
  int*  ocene;         // Niz ocena.
  int   kap, brOc;     // Kapacitet niza i broj ocena.
  Student (const Student&) {}         // Ne sme da se kopira.
  void operator= (const Student&) {}  // Ne sme da se dodeljuje.
public:
  Student (const char* iime, long iind, int kkap=40); // Konstruktor.
  ~Student () { delete [] ime; delete [] ocene; }     // Destruktor.
  const char* dohvatiIme () const { return ime; }     // Ime studenta.
  long dohvatiInd () { return ind; }                  // Broj indeksa.
  Student& promeniIme (const char* iime);  // Promena imena.
  Student& promeniInd (long iind)          // Promena broja indeksa.
    { iind = ind; return *this; }
  Student& operator+= (int ocena);         // Dodavanje ocene.
  int operator+ () { return brOc; }        // Broj ocena.
  int& operator[] (int i);                 // Dohvatanje ocene.
  int operator[] (int i) const; 
  double operator! () const;               // Srednja ocena.
};
